travis-wip

This commit is contained in:
Sönke Hahn 2016-04-06 11:41:41 +08:00
parent 6a586858ae
commit b5dc4dd350
3 changed files with 4 additions and 15 deletions

View file

@ -1,6 +0,0 @@
#/usr/bin/env bash
set -ev
for package in $(cat sources.txt); do
(cd $package && tinc && cabal configure --enable-tests --disable-optimization && cabal build && cabal test) || exit 1
done

View file

@ -27,19 +27,12 @@ install:
- travis_retry cabal update
- sed -i 's/^jobs:/-- jobs:/' ${HOME}/.cabal/config
# set up stack (for ghcjs in servant-client)
- travis_retry curl -L https://www.stackage.org/stack/linux-x86_64 | tar xz --wildcards --strip-components=1 -C ~/.local/bin '*/stack'
- stack --version
script:
- if [ "$GHCJS" = "true" ];
then ./.travis-ghcjs.sh ;
then ./travis-ghcjs.sh ;
else ./travis.sh ;
fi
- export CASHER_TIME_OUT=500
cache:
directories:
- $HOME/.tinc/cache
- $HOME/.stack
- $HOME/.ghcjs

View file

@ -3,7 +3,9 @@ set -ev
# tinc
#cabal exec which hspec-discover
#barf
barf
cabal install hspec-discover --prefix $HOME/.local
# export PATH=$HOME/huhu/bin:$PATH
which hspec-discover